Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl.http
Class BindingType

    java.lang.Object
      org.apache.cxf.wsdl.TExtensibilityElement
          org.apache.cxf.wsdl.TExtensibilityElementImpl
              org.apache.cxf.wsdl.http.BindingType

All Implemented Interfaces:
  javax.wsdl.extensions.ExtensibilityElement

    public class BindingType

extends TExtensibilityElementImpl

Java class for bindingType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="bindingType">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibilityElement">
           <sequence>
           </sequence>
           <attribute name="verb" use="required" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `verb`

Fields inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`required`

Constructor Summary
`BindingType()`

Method Summary
`java.lang.String` | `getVerb()` Gets the value of the verb property.
`boolean` | `isSetVerb()`
`void` | `setVerb(java.lang.String value)` Sets the value of the verb property.

Methods inherited from class org.apache.cxf.wsdl.TExtensibilityElementImpl
`getElementType, getRequired, setElementType, setRequired`

Methods inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`isRequired, isSetRequired, setRequired, unsetRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verb

    protected java.lang.String verb

Constructor Detail

### BindingType

    public BindingType()

Method Detail

### getVerb

    public java.lang.String getVerb()

  Gets the value of the verb property.

  Returns:
    possible object is `String`

### setVerb

    public void setVerb(java.lang.String value)

  Sets the value of the verb property.

  Parameters:
    `value` - allowed object is `String`

### isSetVerb

    public boolean isSetVerb()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF